Web Analytics Content Autopilot
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
GET | |
POST | |
POST | |
POST |
List all web analytics content autopilot opportunities
Required API key scopes
web_analytics:readQuery parameters
- limitinteger
- offsetinteger
- profile_idstring
Response
Example request
GET /api /projects /:project_id /web_analytics_content_autopilot_opportunitiesExample response
Status 200
RESPONSE
Retrieve web analytics content autopilot opportunities
Required API key scopes
web_analytics:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /web_analytics_content_autopilot_opportunities /:idExample response
Status 200
RESPONSE
Create web analytics content autopilot opportunities
Marks an opportunity as dismissed. It stays dismissed across refreshes, and list responses still include it with status dismissed.
Required API key scopes
web_analytics:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_opportunities /:id /dismissExample response
Status 200
RESPONSE
Create web analytics content autopilot opportunities
Starts a run that researches and drafts content for the selected opportunities.
Required API key scopes
web_analytics:writeRequest parameters
- profile_idstring
- opportunity_idsarray
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_opportunities /draftExample response
Status 202
RESPONSE
Create web analytics content autopilot opportunities
Re-reads AI citation checks and updates the site's content opportunities. Makes no model calls.
Required API key scopes
web_analytics:writeRequest parameters
- profile_idstring
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_opportunities /refreshExample response
Status 200
RESPONSE